Search Accounts and Services for Sharing
get
/sharing/accounts
Finds accounts and their services for addition to a sharing group. Text filters accept * as a wildcard.
Request
Query Parameters
-
accountNo: string
Account number to match.
-
address: string
Contact street address to match.
-
city: string
Contact city to match.
-
company: string
Contact company name to match.
-
country: string
Contact country to match.
-
firstName: string
Contact first name to match.
-
lastName: string
Contact last name to match.
-
limit: integer(int32)
Maximum results; defaults to the configured account fetch size. Use -1 for all results.
-
serviceID: string
Service login or alias to match.
-
serviceType: string
BRM service type to match, such as /service/telco/gsm.
-
state: string
Contact state or province to match.
-
zip: string
Contact postal code to match.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/xml
- application/json
200 Response
Matching accounts and their services returned.
Root Schema : SharingGroupMembers
Type:
Show Source
object-
extension: object
extension
The extended attributes.
-
groupType(required): string
The sharing group type. Allowed Values:
- H_PSG (Hierarchy product sharing group)
- PR_PSG (Payment responsibility product sharing group)
- H_DSG (Hierarchy discount sharing group)
- PR_DSG (Payment responsibility discount sharing group)
-
memberDetails: array
memberDetails
The list of sharing group members.
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : memberDetails
Type:
arrayThe list of sharing group members.
Show Source
-
Array of:
object MemberDetails
The list of sharing group members.
Nested Schema : MemberDetails
Type:
objectThe list of sharing group members.
Show Source
-
accountNumber: string
The member's account number.
-
accountRef: object
ResourceRef
-
firstName: string
The member's first name.
-
lastName: string
The member's last name.
-
memberIndex: integer
(int32)
The index of the non-service charge that is a member of the group.
-
services: array
services
The list of services shared in the group.
Nested Schema : ResourceRef
Type:
Show Source
object-
id(required): string
The ID.
-
uri: string
The Uniform Resource Identifier (URI) associated with the resource.
Nested Schema : services
Type:
arrayThe list of services shared in the group.
Show Source
-
Array of:
object Services
The list of services shared in the group.
Nested Schema : Services
Type:
objectThe list of services shared in the group.
Show Source
-
aliasList: array
aliasList
The list of aliases associated with the service.
-
index: integer
(int32)
The position of the entry in the index. For example, the first service in a list would have an index value of 1.
-
login(required): string
The login associated with the service.
-
serviceRef: object
ResourceRef
-
serviceType(required): string
The service type of the service member.
Nested Schema : aliasList
Type:
arrayThe list of aliases associated with the service.
Show Source
-
Array of:
object AliasList
The list of aliases associated with the service.
403 Response
Access was denied.
500 Response
An internal server error occurred.